//@line 38 "/home/build/tinderbuild_blue/src/flock/mozilla/browser/components/bookmarks/content/bookmarksPanel.js"

function manageBookmarks() {
  openDialog("chrome://browser/content/bookmarks/bookmarksManager.xul", "", "chrome,dialog=no,resizable=yes");
}

function addBookmark() {
  var contentArea = top.document.getElementById('content');                   
  if (contentArea) {
    const browsers = contentArea.browsers;
    if (browsers.length > 1)
      BookmarksUtils.addBookmarkForTabBrowser(contentArea);
    else
      BookmarksUtils.addBookmarkForBrowser(contentArea.webNavigation, true);    
  }
  else
    BookmarksUtils.addBookmark(null, null, undefined, true);
}

function search(aValue) {
  document.getElementById('bookmarks-view').searchBookmarks(aValue);
	document.getElementById('bookmarks-view-online').searchBookmarks(aValue);
}

function onLoad_bmPanel() {
  initOnlineFavoritesObservor();
  Components.classes["@flock.com/metrics-service;1"]
            .getService(Components.interfaces.flockIMetricsService)
            .report("FaveSidebar-Opened", null);
}

function onUnload_bmPanel() {
  uninitOnlineFavoritesObservor();
  Components.classes["@flock.com/metrics-service;1"]
            .getService(Components.interfaces.flockIMetricsService)
            .report("FaveSidebar-Close", null);
}

// Set the visibility of the cancel filter button
function layoutCancelFilterButton() {
  var filter = document.getElementById("search-box");
  // If the user has entered some filter text
  // then display the cancel filter button
  if (filter.value && (filter.value != filter.getAttribute("hint"))) {
    document.getElementById("fav-clear-button").setAttribute("hidden", "false");
  } else {
    document.getElementById("fav-clear-button").setAttribute("hidden", "true");
  }
}

function filterOnBlur() {
  var filter = document.getElementById("search-box");
  if (filter.value == "") {
    filter.setAttribute("empty", "true");
    filter.value = filter.getAttribute("hint");
  }
}

function filterOnFocus() {
  var filter = document.getElementById("search-box");
  if (filter.getAttribute("empty") == "true") {
    filter.removeAttribute("empty");
    filter.value = "";
  }
}
